
FROM python:3.13-slim

RUN apt-get update && apt-get install -y \
    libgl1 \
    libglib2.0-0 \
    libsm6 \
    libxext6 \
    libxrender-dev \
    && rm -rf /var/lib/apt/lists/*


WORKDIR /app


COPY requirements.txt .



RUN pip install --no-cache-dir -r requirements.txt
RUN pip install gunicorn


COPY . .


EXPOSE 5000




CMD ["gunicorn", "--workers", "4", "--bind", "0.0.0.0:5000", "app:app"]
